Bug 1999742 - Rebase to 1.2.2
Summary: Rebase to 1.2.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: flatpak-builder
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Martin Krajnak
URL:
Whiteboard:
: 2012702 2014987 2044164 (view as bug list)
Depends On:
Blocks: 2012700 CVE-2022-21682 2044163 2014986
TreeView+ depends on / blocked
 
Reported: 2021-08-31 16:47 UTC by Debarshi Ray
Modified: 2022-05-17 12:46 UTC (History)
5 users (show)

Fixed In Version: flatpak-builder-1.2.2-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-17 12:32:03 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-95742 0 None None None 2021-08-31 16:48:48 UTC
Red Hat Product Errata RHBA-2022:2335 0 None None None 2022-05-17 12:32:15 UTC

Description Debarshi Ray 2021-08-31 16:47:58 UTC
We are already shipping GCC 11 which is supposed to emit debug symbols in the DWARF 5 format by default. We are currently shipping flatpak-builder-1.0.12 and support for DWARF 5 was only added to flatpak-builder in 1.1.1: https://github.com/flatpak/flatpak-builder/commit/bcced9e64535bf61

Right now, I am working on getting flatpak-builder-1.1.1 into Fedora.

Comment 3 Tomas Popela 2022-01-12 13:30:42 UTC
*** Bug 2012702 has been marked as a duplicate of this bug. ***

Comment 4 Tomas Popela 2022-01-12 13:31:04 UTC
*** Bug 2014987 has been marked as a duplicate of this bug. ***

Comment 5 Debarshi Ray 2022-01-27 14:50:33 UTC
The most recent release from this branch is 1.2.2, which is used in Fedora >= 34.

Comment 6 Debarshi Ray 2022-01-27 14:51:27 UTC
*** Bug 2044164 has been marked as a duplicate of this bug. ***

Comment 7 Debarshi Ray 2022-02-05 00:08:48 UTC
After a round of discussions with alexl, mkrajnak and tpopela, we decided to try rebasing the Flatpak stack to the latest stable branches for RHEL 9.0.

I am adjusting the Internal Target Release and Dev Target Milestone accordingly.

Comment 9 Debarshi Ray 2022-02-07 20:38:59 UTC
Built flatpak-builder-1.2.2-1.el9:
https://kojihub.stream.rdu2.redhat.com/koji/taskinfo?taskID=937949

Comment 10 Debarshi Ray 2022-02-07 20:41:08 UTC
*** Bug 2042008 has been marked as a duplicate of this bug. ***

Comment 15 errata-xmlrpc 2022-05-17 12:32:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new packages: flatpak-builder), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:2335


Note You need to log in before you can comment on or make changes to this bug.